# $Revision: 1.26 $, $Date: 2004/08/19 00:05:21 $
Summary:	A WAV and MP3 file volume adjuster
Summary(pl):	Korektor poziomu gonoci w plikach WAV i MP3
Name:		normalize
Version:	0.7.6
Release:	4
License:	GPL
Group:		Applications/Sound
Source0:	http://www.cs.columbia.edu/~cvaill/normalize/%{name}-%{version}.tar.bz2
# Source0-md5: 7476f028304791595e91610bb0cd4e97
URL:		http://www.cs.columbia.edu/~cvaill/normalize/
BuildRequires:	gettext-devel
BuildRequires:	libmad-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{xmms_effect_plugindir}

%description
Normalize is an overly complicated tool for adjusting the volume of
wave files to a standard level.  This is useful for things like
creating mixed CD's and mp3 collections, where different recording
levels on different albums can cause the volume to vary greatly from
song to song.
You can also adjust the volume of mp3 files without reencoding, but it
requires player with support for RVA2 (Relative Volume Adjustment)
ID3v2 frame. Plugin for xmms is available.

%description -l pl
Normalize jest narzdziem do ustawiania poziomu gonoci w plikach
WAV przez dostosowanie go do standardowej wartoci. Jest to przydatne
w sytuacjach takich jak tworzenie skadankowych pyt CD oraz zbiorw
MP3, gdzie rne poziomy nagrywania na rnych albumach mog
spowodowa, e poziom gonoci rni si do istotnie pomidzy
poszczeglnymi utworami.
Jesli masz odtwarzacz mp3 korzystajcy z ramek RVA2 w tagach ID3v2, to
moesz rwnie normalizowa pliki mp3 bez koniecznoci ponownego
skompresowania pliku.

%package -n xmms-effect-rva
sUMMAry:	RVA2 (Relative Volume Adjustment) ID3v2 frame support
Summary(pl):	Obsuga ramek RVA2 tagw ID3v2
Group:		X11/Applications/Sound
Requires:	xmms

%description -n xmms-effect-rva
Plugin for xmms that supports volume adjustment frames (RVA2 ID3v2
frames).

%description -n xmms-effect-rva -l pl
Wtyczka dla xmms-a zapewniajca obsug zawartych w pliku mp3
informacji o dostrojeniu gonoci (ramki RVA2 w tagach ID3v2).

%prep
%setup  -q

%build
cp /usr/share/automake/config.sub config

%configure \
	--with-mad \
	--enable-xmms \
	--with-xmms-prefix=%{xmms_prefix} \
	--without-audiofile \
	--disable-audiofiletest

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/normalize-mp3 .

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS TODO normalize-mp3
%attr(755,root,root) %{_bindir}/normalize
%{_mandir}/man1/*

%files -n xmms-effect-rva
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: normalize.spec,v $
Revision 1.26  2004/08/19 00:05:21  undefine
- release 4

Revision 1.25  2004/08/02 16:47:54  pluto
- pentiumX support.

Revision 1.24  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.23  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.22  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.21  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.20  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/31 21:24:53  grzegol
- changed hard-cored xmms prefix into xmms-config --prefix
- rel. 2

Revision 1.18  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.17  2002/11/03 20:11:50  rrw
- normalize-0.7.6;

Revision 1.16  2002/09/08 14:37:05  kloczek
- (auto)updated to 0.7.5: bug fixes.

Revision 1.15  2002/08/17 16:24:57  qboosh
- updated to 0.7.4

Revision 1.14  2002/03/16 15:13:37  migo
- updated to 0.7.2
- added xmms plugin
- changed summary and description
- ac,am run not needed

Revision 1.13  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/09 09:53:04  trojan
- release 2; STBR

Revision 1.9  2002/01/09 09:22:38  trojan
- fixed %%files

Revision 1.8  2001/08/06 16:18:53  kloczek
- updated to 0.6.1 and removed outdated glibc patch.

Revision 1.7  2001/08/01 20:34:14  qboosh
- aclocal ; autoconf (new gettext and %%configure compatibility)
- glibc patch: include <stdint.h> for uint32_t
- release 2

Revision 1.6  2001/02/24 21:21:52  kloczek
- updated to 0.5.2.

Revision 1.5  2001/02/15 20:22:26  mis
- updated (by autoup) to 0.5.1

Revision 1.4  2001/02/13 20:17:19  kloczek
- updated to 0.4.1.

Revision 1.3  2001/01/29 20:09:54  kloczek
- updated to 0.4,
- use rpm auomation.

Revision 1.2  2000/08/21 12:43:45  kloczek
- removed DESTDIRpatch (use gettextize --copy --force on top %build istead),
- gettext-devel added to BuildRequires,
- some cosmetics.

Revision 1.1  2000/08/21 11:16:53  zagrodzki
- initial release
